[Index] |  | [TOC]

# FreeType-2.3.7 API Reference

# CID Fonts

## Synopsis

| FT_Get_CID_Registry_Ordering_Supplement

This section contains the declaration of CID-keyed font specific functions.

#### FT_Get_CID_Registry_Ordering_Supplement

Defined in FT_CID_H (freetype/ftcid.h).

      FT_EXPORT( FT_Error )
      FT_Get_CID_Registry_Ordering_Supplement( FT_Face       face,
                                               const char*  *registry,
                                               const char*  *ordering,
                                               FT_Int       *supplement);

Retrieve the Registry/Ordering/Supplement triple (also known as the "R/O/S") from a CID-keyed font.

input

face | A handle to the input face.

output

registry | The registry, as a C string, owned by the face.
ordering | The ordering, as a C string, owned by the face.
supplement | The supplement.

return
FreeType error code. 0 means success.

note
This function only works with CID faces, returning an error otherwise.

since
2.3.6

[Index] |  | [TOC]